package test;

import com.gyee.SpringbootStart;
import com.gyee.frame.common.spring.SpringUtils;
import com.gyee.frame.service.health.HealthMainService;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;

public class HealthTest {

    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);


        Calendar c = Calendar.getInstance();

        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.set(Calendar.SECOND, 0);
        c.set(Calendar.MILLISECOND, 0);
        c.set(Calendar.DAY_OF_MONTH,24);
        c.set(Calendar.MONTH,2);
        c.set(Calendar.YEAR,2021);

        Date date = c.getTime();

        String wtid="MG01_01";

        HealthMainService healthMainService= SpringUtils.getBean("healthMainService");


        Map<String, Object> map =healthMainService.findHealthMatrix();

        List<String[]> list=(List<String[]>)map.get("MHS_FDC_wtIdls");




        for(String[] wtd:list)
        {
            System.out.println(wtd[0]+"----------------"+wtd[1]);
        }

        System.out.println("***************************************************************************************");


    }




}
